<template>
  <div class="basket">
    <div class="text-3xl text-center my-4">Корзина покупок</div>
    <div>
      <div
        v-for="product in basket"
        :key="product.product_id"
      >
       <div>{{ product.name }}</div>
       <div>{{ product.orderByCount }}</div>
       <div></div>
      </div>
    </div>
  </div>
</template>

<script>
import {useStore} from "vuex";
import {computed} from 'vue';

export default {
  name: "Basket",
  setup() {
    const store = useStore();
    function cartTotalCost () {
      // let result = []
      // if (this.saveCart.length) {
      //   for (const item of this.saveCart) {
      //     result.push(item.price * item.quantity)
      //   }
      //   result = result.reduce(function (sum, el) {
      //     return sum + el
      //   })
      //   return result
      // } else { return 0 }
    }
    return {
      basket
    }
  }
}
</script>

<style scoped>

</style>
